INTERFACE
SUBROUTINE EXTFPF(KNFG,KNFL,KFIELDS,PGPBUF,KLENGPB,KSTAGPB,KSTAF,PREALG,KFPD1,&
 & KNFD,KFLDOFF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMFPSC2 , ONLY : NFPBLOCS ,NFPROMA ,NFPSTART ,NFPEND ,NFPSORT
USE YOMFPG , ONLY : NFPRGPL ,NFPRGPLX
USE YOMCT0 , ONLY : NPROC
INTEGER(KIND=JPIM),INTENT(IN) :: KNFL
INTEGER(KIND=JPIM),INTENT(IN) :: KLENGPB
INTEGER(KIND=JPIM),INTENT(IN) :: KFPD1
INTEGER(KIND=JPIM),INTENT(IN) :: KNFG
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDS
REAL(KIND=JPRB) ,INTENT(IN) :: PGPBUF(KLENGPB)
INTEGER(KIND=JPIM),INTENT(IN) :: KSTAGPB(NFPBLOCS)
INTEGER(KIND=JPIM),INTENT(IN) :: KSTAF
REAL(KIND=JPRB) ,INTENT(OUT) :: PREALG(KFPD1,KNFL)
INTEGER(KIND=JPIM),INTENT(IN) :: KNFD(NPROC)
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDOFF(NPROC)
END SUBROUTINE EXTFPF
END INTERFACE
